clear all;
close all;
%%%____LECTURE DU FICHIER____%%%
F = textread('200401.txt','%s','delimiter','\n','headerlines',3);

%%%____SUPPRESSION DE LA LIGNE LATITUDE POUR OBTENIR MATRICE CARREE____%%% 
i=0
for k=1:12:2160 ;
    A=F(k:k+10,:);
    h=k-i;
    F1(h:h+10,:)=A;
    i=i+1;
    clear A;
end
%%%____SAUVEGARDE DU RESULTAT AU FORMAT TEXTE____%%%
fid = fopen('F1.txt','wt');
for i=1:length(F1)-1;
    fprintf(fid,'%s \n',F1{i});
end
fprintf(fid,'%s ',F1{end});
fclose(fid);

%%%____LECTURE DU FICHIER ET AJOUT DES ESPACES____%%%
fichier= 'F1.txt';

%ouverture du fichier, lecture du fichier
fid=fopen(fichier);
B=textscan(fid,'%s','delimiter','\n');
fclose(fid);

L=length(B{1});  %taille de B

%ajout des espaces
for k=1:L,
B{1}{k};
Comptage=diff(find([' ',B{1}{k}]==32))-1;  %comptage des caractres
nb=Comptage(1) %trouver le nombre de caractre de la premire valeur

a=1:3:75             % 1re possibilit de nombre de caractres
b=2:3:75             % 2me possibilit 
cp=nb==a
cp1=nb==b
    for i=1:25 ;         %boucle des indices
         if cp(i)==1 ;  %1re expression logique si un indice = 1 alors c vrai
            B{1}{k}=['  ',B{1}{k}] ;%si oui
    
         elseif cp1(i)==1 %2 me expression logique si un indice = 1 alors c vrai
                B{1}{k} =[' ',B{1}{k}] ;%si oui
    
         else       % si 1re et 2me expression non trouve
                B{1}{k} = B{1}{k}  ;
         end
    end
end

%sauvegarde du fichier avec les espaces
fid = fopen('E.txt','wt');
for j=1:length(B{1});
  fprintf(fid,'%s\n',B{1}{j});
end
fprintf(fid,'%s',B{1}{end});
fclose(fid);

%%%____CREATION DE LA MATRICE___%%%
fid = fopen('E.txt','r');

% Calcul du nombre de lignes dans le fichier
fseek(fid,0,'eof');
filesize = ftell(fid);
fseek(fid,0,'bof');
nlignes = round(filesize/(3*25+3));


% Prallocation de la matrice rsultat
M = zeros(nlignes,25); 
k = 1;

while ~feof(fid) 
 [C,count] = fread(fid,[3,25],'*uchar'); % Lecture de 3*25 caractres sur une ligne 
   
    if count~=75
        break
    end
        
    % Saut des trois derniers caractres de chaque ligne 
    % (espace + retour chariot)
    fseek(fid,3,'cof');

    C = char(C.');
    C = cellstr(C);
    C = str2double(C);

    M(k,:) = C.';
    k = k+1;
end

fclose(fid); %obtention de la matrice 

%%%____CREATION DE LA MATRICE___%%%
fid = fopen('E.txt','r');

%obtention de la matrice par latitude
[n m]=size(M);
T=[];
k=1;
a=1;
b=2;
c=3;
d=4;
e=5;
f=6;
g=7;
h=8;
i=9;
j=10;
m=11;
for k=1:180
ligne=[M(a,:),M(b,:),M(c,:),M(d,:),M(e,:),M(f,:),M(g,:),M(h,:),M(i,:),M(j,:),M(m,:)];
T(k,:)=ligne ;  
k=k+1;
a=a+10;
b=b+10;
c=c+10;
d=d+10;
e=e+10;
f=f+10;
g=g+10;
h=h+10;
i=i+10;
j=j+10;
m=m+10;
end

%%%____IMPORTATION DU BLOC____%%%
%obtention de la matrice "africaine" MAT
x=[95:111];
N=T(x,:);
y=[130:167]
MAT=N(:,y)

MAT(find(MAT == 999)) = nan;

%%%____AFFICHAGE DE L'IMAGE____%%%
figure
imagesc(MAT)
axis image